Download it now!
Bug 69971 - Other: Using formula wizard and help causes crash
Summary: Other: Using formula wizard and help causes crash
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA target:4.2.0 target:4.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-30 15:28 UTC by James
Modified: 2013-12-06 12:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description James 2013-09-30 15:28:39 UTC
Problem description: Opening the formula editor and using Help followed by attempt to edit a formula causes crash.

Steps to reproduce:
1. Click on an empty cell.
2. Click on the button to activate the formula wizard.
3. In "Category", select "Text"
4. From the "Function" list, select a function ("Find", for example.)
5. Click the "Help" button.
6. Close Help.
7. Click in the formula editor box. The cursor should be positioned behind the "=".
8. Use the keyboard to edit the formula.


Current behavior: The spreadsheet suddenly closes.

Expected behavior: The spreadsheet should remain open and allow me to edit the formula. 


By the way, this is my first time here. It isn't clear how to search to see if this bug already exists, other than clicking on one of the "Related bug reports" below. Looking only at the list, I would guess none of those apply
              
Operating System: Ubuntu
Version: 4.0.2.2 release
Comment 1 James 2013-09-30 16:09:26 UTC
O/S is kubuntu (Ubuntu with KDE) version 13.04
Comment 2 Stanislav Horacek 2013-09-30 18:57:39 UTC
Thank you for the report! I can reproduce this also in 4.1.2.2 on Ubuntu 13.04.
Comment 3 Caolán McNamara 2013-11-01 15:27:41 UTC
A regression in the 8757c9c462ba690de60602404ef2e9e99702f0b4..552ba413bc95b1a14638558d9436141825100c52 range I believe
Comment 4 Commit Notification 2013-11-04 13:18:40 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a9d85d62a889288b17899c8defc020da487d8b36

fdo#69971 formula dialog crash when Paint restores EditEngine listener



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2013-11-04 13:41:29 UTC
This one was rather tricky.

We need the EditEngine Modification handler of the inputbar that we are feeding to be disabled while this dialog is open. Otherwise we end up in a situation where...

a) this ScFormulaDlg changes the editengine
b) the modify callback gets called
c) which also modifies the editengine
d) on return from that modify handler the editengine attempts to use old node pointers which were replaced and removed by c
    
We turn it off in the ctor and back on in the dtor, but if calc has to repaint, e.g. when switching to another window and back, then in ScMultiTextWnd::Paint a new editengine will have been created via GetEditView with its default Modification handler enabled.
Comment 6 Commit Notification 2013-11-04 16:34:23 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=aadef0360d416523db483755e08d268cc499240b&h=libreoffice-4-1

fdo#69971 formula dialog crash when Paint restores EditEngine listener


It will be available in LibreOffice 4.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Eike Rathke 2013-12-05 01:14:43 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dfd1a47a38dac743f9ed0f1e9507714bac027d35

resolved fdo#71667 and fdo#72278, fdo#69971 follow-up fix



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Eike Rathke 2013-12-05 01:18:01 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4bea81272d502c044febc419a16c86bbdadf5513&h=libreoffice-4-2

resolved fdo#71667 and fdo#72278, fdo#69971 follow-up fix


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Eike Rathke 2013-12-05 01:40:30 UTC
Pending review
for 4-1 at https://gerrit.libreoffice.org/6935
for 4-1-4 at https://gerrit.libreoffice.org/6936
Comment 10 Eike Rathke 2013-12-05 11:07:13 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=22ff85716967e573ec3bfdb8c9b17cab7b30d8a4&h=libreoffice-4-1

resolved fdo#71667 and fdo#72278, fdo#69971 follow-up fix


It will be available in LibreOffice 4.1.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Eike Rathke 2013-12-06 12:11:30 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-1-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ff927df4929022656668e4e98511c198134247cc&h=libreoffice-4-1-4

resolved fdo#71667 and fdo#72278, fdo#69971 follow-up fix


It will be available already in LibreOffice 4.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.